## GnomeDbmsUpdateViewer

GnomeDbmsUpdateViewer — Progress bars for the DBMS update process

## Synopsis

                GnomeDbmsUpdateViewer;
                GnomeDbmsUpdateViewerPriv;
    GType       gnome_db_dbms_update_viewer_get_type
                                                (void);
    GtkWidget*  gnome_db_dbms_update_viewer_new (GnomeDbDict *dict);
    void        gnome_db_dbms_update_viewer_reset
                                                (GnomeDbmsUpdateViewer *mgv);

## Object Hierarchy

      GObject
       +----GtkObject
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBox
                               +----GtkVBox
                                     +----GnomeDbmsUpdateViewer

## Implemented Interfaces

GnomeDbmsUpdateViewer implements AtkImplementorIface.

## Description

## Details

### GnomeDbmsUpdateViewer

    typedef struct _GnomeDbmsUpdateViewer GnomeDbmsUpdateViewer;

### GnomeDbmsUpdateViewerPriv

    typedef struct _GnomeDbmsUpdateViewerPriv GnomeDbmsUpdateViewerPriv;

### gnome_db_dbms_update_viewer_get_type ()

    GType       gnome_db_dbms_update_viewer_get_type
                                                (void);

Returns : |

### gnome_db_dbms_update_viewer_new ()

    GtkWidget*  gnome_db_dbms_update_viewer_new (GnomeDbDict *dict);

Creates a new GnomeDbmsUpdateViewer widget.

`dict` : | a GnomeDbDict object
Returns : | the new widget

### gnome_db_dbms_update_viewer_reset ()

    void        gnome_db_dbms_update_viewer_reset
                                                (GnomeDbmsUpdateViewer *mgv);

Reset the widget to the default (clears all the items and sets the progress bar to 0%)

`mgv` : | An GnomeDbmsUpdateViewer widget